For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
  • Main Reference
        • POSTCreate a new provider.
        • GETGet a list of providers.
        • PUTModify a provider.
        • DELDelete provider.
LogoLogo
Main ReferenceCollectionsProviders

Create a new provider.

POST
https://api.invofox.com/companies/:id/providers
POST
/companies/:id/providers
1const url = 'https://api.invofox.com/companies/id/providers';
2const options = {
3 method: 'POST',
4 headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
5 body: '{"countryCode":"DE","taxId":"DE123456789","name":"Müller Elektronik GmbH"}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
1{
2 "result": {
3 "_id": "5f8d0d55b54764421b7156c3",
4 "account": "acc_987654321",
5 "environment": "production",
6 "company": "comp_123456789",
7 "name": "Müller Elektronik GmbH",
8 "countryCode": "DE",
9 "taxId": "DE123456789",
10 "type": "provider",
11 "state": "pending"
12 }
13}
Create a new provider for specified company.
Was this page helpful?
Previous

Get a list of providers.

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
id of the company to add a provider to

Request

This endpoint expects an object.
countryCodestringRequiredformat: "ISO 3166-1 alpha-2"

country code in two-digits format (ISO 3166-1 alpha-2)

taxIdstringRequired
Tax id number
namestringRequired
Business name of enterprise

Response

Provider successfully registered for specified company
resultobject

Errors

400
Bad Request Error
500
Internal Server Error